### Hierarchy

- TableRowComponent
  - AITableRowComponent

## Index

### Inputs

- model

### Constructors

- constructor

### Properties

- _checkboxLabel
- _expandButtonAriaLabel
- checkboxLabel
- deselectRow
- enableSingleSelect
- expandButtonAriaLabel
- expandRow
- expandable
- expandableRowClass
- expanded
- i18n
- isAccessible
- isParentRow
- model
- parentRowClass
- row
- rowClick
- selectRow
- selectableClass
- selected
- selectedClass
- selectionLabelColumn
- showSelectionColumn
- showSelectionColumnCheckbox
- size
- skeleton
- ɵcmp
- ɵfac

### Methods

- getCheckboxLabel
- getExpandButtonAriaLabel
- onHostClick
- onRowClick
- onSelectionChange

## Constructors

### constructor

- new AITableRowComponent(i18n: I18n): AITableRowComponent

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:94

  #### Parameters

  - ##### i18n: I18n

  #### Returns AITableRowComponent

## Properties

### Protected _checkboxLabel

_checkboxLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:93

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:94

### checkboxLabel

checkboxLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:47

### deselectRow

deselectRow: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:76

Emits when the row is deselected.

### enableSingleSelect

enableSingleSelect: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:45

Controls whether to enable multiple or single row selection.

### expandButtonAriaLabel

expandButtonAriaLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:46

### expandRow

expandRow: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:80

Emits when the row is expanded

### expandable

expandable: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:36

### Readonly expandableRowClass

expandableRowClass: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:89

### expanded

expanded: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:35

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:29

### Readonly isAccessible

isAccessible: number

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:92

### Readonly isParentRow

isParentRow: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:91

### model

@Input()
model: any

- Defined in packages/angular/src/table/body/table-row.component.ts:88

`TableModel` with data the table is to display.

### Readonly parentRowClass

parentRowClass: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:88

### row

row: TableItem[]

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:34

### rowClick

rowClick: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:86

Emits when a row is clicked regardless of `enableSingleSelect` or `showSelectionColumn`. Should only get emitted when a row item is selected excluding expand buttons, checkboxes, or radios.

### selectRow

selectRow: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:72

Emits when the row is selected.

### Readonly selectableClass

selectableClass: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:90

### selected

selected: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:37

### Readonly selectedClass

selectedClass: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:87

### selectionLabelColumn

selectionLabelColumn: number

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:67

Used to populate the row selection checkbox label with a useful value if set.

Example:

    <ibm-table [selectionLabelColumn]="0"></ibm-table>
    <!-- results in aria-label="Select first column value"
    (where "first column value" is the value of the first column in the row -->

### showSelectionColumn

showSelectionColumn: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:51

Controls whether to show the selection checkboxes column or not.

### showSelectionColumnCheckbox

showSelectionColumnCheckbox: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:56

Shows or hide the checkbox in the selection column when `showSelectionColumn` is set to true

### size

size: TableRowSize

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:41

Size of the table rows.

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:68

### Static ɵcmp

ɵcmp: ɵɵComponentDefWithMeta<TableRowComponent, "[ibmTableRow]", never, { checkboxLabel: "checkboxLabel"; enableSingleSelect: "enableSingleSelect"; expandButtonAriaLabel: "expandButtonAriaLabel"; expandable: "expandable"; expanded: "expanded"; model: "model"; row: "row"; selected: "selected"; selectionLabelColumn: "selectionLabelColumn"; showSelectionColumn: "showSelectionColumn"; showSelectionColumnCheckbox: "showSelectionColumnCheckbox"; size: "size"; skeleton: "skeleton" }, { deselectRow: "deselectRow"; expandRow: "expandRow"; rowClick: "rowClick"; selectRow: "selectRow" }, never, ["*"]>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:102

### Static ɵfac

ɵfac: ɵɵFactoryDef<TableRowComponent, never>

- Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:101

## Methods

### getCheckboxLabel

- getCheckboxLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:99

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:100

  #### Returns Observable<string>

### onHostClick

- onHostClick(): void

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:96

  #### Returns void

### onRowClick

- onRowClick(): void

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:97

  #### Returns void

### onSelectionChange

- onSelectionChange(): void

- - Defined in node_modules/carbon-components-angular/table/body/table-row.component.d.ts:98

  #### Returns void

Generated using TypeDoc